$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.29-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.29-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '4489D2B77B48F4A07CFF204EA3F5B5F30CE8D78EB748CB567310D7AEDAF38507'
  checksumType = 'sha256'
  checksum64 = '4489D2B77B48F4A07CFF204EA3F5B5F30CE8D78EB748CB567310D7AEDAF38507'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.1.29-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
